%define py_version %(%{__python} -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_prefix  %(%{__python} -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_libdir  %{py_prefix}/lib/python%{py_version}
%define py_incdir  %{py_prefix}/include/python%{py_version}
%define python_sitelib %{py_libdir}/site-packages
%define debug_package %{nil}

Name:           productmd
Version:        1.1
Release:        1%{?dist}
Summary:        Product and compose metadata

Group:          Development/Tools
License:        redhat-internal
Source0:        https://github.com/release-engineering/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%if 0%{?rhel} == 5
Requires:       python-simplejson
%endif


%description
Python modules for reading/writing product metadata
like composeinfo or treeinfo.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS
%{python_sitelib}/%{name}
%if 0%{?rhel} != 5
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info
%endif


%changelog
* Fri Apr 22 2016 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-1
- Rebase to latest upstream

* Thu Aug 6 2015 Cheng Yu <ycheng@redhat.com> - 1.0-1
- Upstream version in Github.

* Tue Jul 14 2015 Daniel Mach <dmach@redhat.com> - 0.3.9-1
- imagemanifest: rename container to docker (Lubos Kocman)

* Wed Jun 17 2015 Daniel Mach <dmach@redhat.com> - 0.3.8-1
- Add 'unified' flag to image manifest. (Daniel Mach)

* Fri Apr 17 2015 Daniel Mach <dmach@redhat.com> - 0.3.7-1
- images: add support for containers (.tar.gz) (Lubos Kocman)

* Wed Mar  4 2015 Daniel Mach <dmach@redhat.com> - 0.3.6-1
- Add product (release) type to composeinfo and treeinfo to distinguish between 'ga' and 'updates' composes. (Daniel Mach)
- Remove to_json() and from_json() treeinfo methods. (Daniel Mach)
- Add more checksums to test_imagemanifest. (Daniel Mach)
- Update composeinfo tests. (Daniel Mach)
- Use COMPOSE_TYPE_LIST order for compose sorting. (Daniel Mach)
- DiscInfo: read empty disc_numbers as [ALL]; add more tests. (Daniel Mach)
- Add DiscInfo support. (Daniel Mach)

* Thu Jan 23 2014 Daniel Mach <dmach@redhat.com> - 0.3.5-1
- Change get_date_respin() to get_date_type_respin(); Add ComposeInfo.label_major_version property. (Daniel Mach)
- Make ImageManifest.to_compose() thread-safe. (Daniel Mach)
- Add ComposeInfo.get_product_id() method. (Daniel Mach)

* Mon Nov 11 2013 Daniel Mach <dmach@redhat.com> - 0.3.4-1
- Change warning text in treeinfo/general. (Daniel Mach)

* Wed Nov  6 2013 Daniel Mach <dmach@redhat.com> - 0.3.3-1
- Add 'format' field to image manifest. (Daniel Mach)

* Mon Nov  4 2013 Daniel Mach <dmach@redhat.com> - 0.3.2-1
- Implement __cmp__() for compose/product ordering. (Daniel Mach)
- Image manifest support. (Daniel Mach)

* Fri Oct 11 2013 Daniel Mach <dmach@redhat.com> - 0.3.1-1
- Fix crashing ComposeInfo.create_compose_id() when RHEL-5 variants are not set. (Daniel Mach)

* Thu Sep 12 2013 Daniel Mach <dmach@redhat.com> - 0.3-1
- Set metadata version to 0.3. (Daniel Mach)
- Fix metadata paths and compose.respin type. (Daniel Mach)
- Add InternalSnapshot to allowed labels. (Daniel Mach)
- Allow reading metadata over ftp://, http:// and https://. (Daniel Mach)
- Make sure that rpm-manifest contains only relative paths. (Daniel Mach)
- Integrated layered products support. (Daniel Mach)
- Add get_major_version() and get_minor_version(). (Daniel Mach)
- Fix guessed checksum type for sha256 in treeinfo.checksums. (Daniel Mach)
- Add __str__() methods to composeinfo and treeinfo. (Daniel Mach)
- Fix repository paths. (Daniel Mach)
- Python 2.4 compatibility changes. (Daniel Mach)

* Thu Aug 15 2013 Daniel Mach <dmach@redhat.com> - 0.2-1
- Compose id must not be blank. (Daniel Mach)
- Make repos optional in composeinfo. (Daniel Mach)
- Fix blank epochs in rpmmanifest. (Daniel Mach)
- Revamp composeinfo variant paths (Daniel Mach)
- Enable removing variants from composeinfo and treeinfo. (Daniel Mach)
- Improve from_compose() for ComposeInfo and RpmManifest. (Daniel Mach)

* Wed Aug  7 2013 Daniel Mach <dmach@redhat.com> - 0.1.1-1
- Add RpmManifest. (Daniel Mach)
- Allow reading info files from file objects. (Daniel Mach)
- Really fix TreeInfo.base_product. (Daniel Mach)
- Fix TreeInfo.base_product. (Daniel Mach)
- Improve working with composes. (Daniel Mach)
- Revamp conversion scripts. (Daniel Mach)
- Fix rhel5 Workstation in treeinfo. (Daniel Mach)
- Fix json import for py2.4. (Daniel Mach)

* Tue Jun 11 2013 Daniel Mach <dmach@redhat.com> - 0.1-1
- Initial version
